#******************************************************************************#
# Project ICI-Covid
#
# Obj: import source data 
#
# Authors: Lucas Jeanneau - Quitterie Roquebert - Marianne Tenand
#
# Last modified: 17/04/2021
#
#******************************************************************************
 

#### Packages for the program ####
# NB : for first run, need to do "install.packages(NAMEOFTHEPACKAGE)" first
# Then, run library(PACKAGE) at each opening of R

library(foreign)
library(dbplyr) 
library(dplyr) 
library(tidyverse) 
#devtools::install_bitbucket("cancercentrum/rccmisc")
# The command here above may be needed to install the package rccmisc
library(rccmisc)

#### Paths ####

#Define user
  user = "MT"
  #user = "MT"
  
  if (user == "QR") {
source    = "C:/Users/Quitterie/Seafile/Ma bibliothque/Data/CARE-I/CARE-I_Data/Stata/" 
dropbox   = "C:/Users/Quitterie/Dropbox/Projets en cours - dossiers partags/"
  }
  
if (user == "MT") {
  source  ="C:/Users/63984mte/OneDrive - Erasmus University Rotterdam/Documents/CARE data/CARE-I/Stata/"
  dropbox = "C:/Users/63984mte/Dropbox/Professional/Scientific_projects/"
}

out       = "ICI covid - Lucas, Quitterie, Marianne/Output/Regressions/"
out_DS    = "ICI covid - Lucas, Quitterie, Marianne/Output/Descriptive statistics/"
out_Fig   = "ICI covid - Lucas, Quitterie, Marianne/Output/Figures/"

#### Data importation ####

# Seniors :

seniorss<-read.dta(paste0(source, "carei_sen_seniors_v2_190822.dta"))

# Caregivers :

aidants<-read.dta(paste0(source, "carei_sen_aidants_v2_190822.dta")) 

# Children : 

enfants<-read.dta(paste0(source, "carei_sen_enfants_v2_190822.dta")) 

# make column names lower
#seniorss<-lownames(seniorss)
#aidants<-lownames(aidants)
#enfants<-lownames(enfants)

# Subsample excluding 39 individuals with missing values in ADL
seniors <- subset(seniorss, raman!= "")
